# Hologram (ShopChest 1.12 API)
Date: 2017-06-08

de.epiceric.shopchest.nms

## Class Hologram

- java.lang.Object
- - de.epiceric.shopchest.nms.Hologram

    public class Hologram
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`Hologram(ShopChest plugin, String[] lines, org.bukkit.Location location)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `addLine(int line, String text)`
`boolean` `contains(org.bukkit.entity.ArmorStand armorStand)`
`boolean` `exists()`
`List<ArmorStandWrapper>` `getArmorStandWrappers()` Returns the ArmorStandWrappers of this hologram
`static Hologram` `getHologram(org.bukkit.entity.ArmorStand armorStand)`
`ArmorStandWrapper` `getInteractArmorStandWrapper()` Returns the ArmorStandWrapper of this hologram that is positioned higher to be used for interaction
`String[]` `getLines()`
`org.bukkit.Location` `getLocation()`
`void` `hidePlayer(org.bukkit.entity.Player p)`
`static boolean` `isPartOfHologram(org.bukkit.entity.ArmorStand armorStand)`
`boolean` `isVisible(org.bukkit.entity.Player p)`
`void` `remove()` Removes the hologram.
`void` `removeLine(int line)`
`void` `setLine(int line, String text)`
`void` `showPlayer(org.bukkit.entity.Player p)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Hologram

    public Hologram(ShopChest plugin,
                    String[] lines,
                    org.bukkit.Location location)

### Method Detail

#### addLine

    public void addLine(int line,
                        String text)

#### setLine

    public void setLine(int line,
                        String text)

#### removeLine

    public void removeLine(int line)

#### getLines

    public String[] getLines()

#### getLocation

    public org.bukkit.Location getLocation()

Returns:
  Location of the hologram

#### showPlayer

    public void showPlayer(org.bukkit.entity.Player p)

Parameters:
  `p` - Player to which the hologram should be shown

#### hidePlayer

    public void hidePlayer(org.bukkit.entity.Player p)

Parameters:
  `p` - Player from which the hologram should be hidden

#### isVisible

    public boolean isVisible(org.bukkit.entity.Player p)

Parameters:
  `p` - Player to check
Returns:
  Whether the hologram is visible to the player

#### exists

    public boolean exists()

Returns:
  Whether the hologram exists and is not dead

#### contains

    public boolean contains(org.bukkit.entity.ArmorStand armorStand)

Parameters:
  `armorStand` - Armor stand to check
Returns:
  Whether the given armor stand is part of the hologram

#### getArmorStandWrappers

    public List<ArmorStandWrapper> getArmorStandWrappers()

Returns the ArmorStandWrappers of this hologram

#### getInteractArmorStandWrapper

    public ArmorStandWrapper getInteractArmorStandWrapper()

Returns the ArmorStandWrapper of this hologram that is positioned higher to be used for interaction

#### remove

    public void remove()

Removes the hologram.
Hologram will be hidden from all players and will be killed

#### getHologram

    public static Hologram getHologram(org.bukkit.entity.ArmorStand armorStand)

Parameters:
  `armorStand` - Armor stand that's part of a hologram
Returns:
  Hologram, the armor stand is part of

#### isPartOfHologram

    public static boolean isPartOfHologram(org.bukkit.entity.ArmorStand armorStand)

Parameters:
  `armorStand` - Armor stand to check
Returns:
  Whether the armor stand is part of a hologram